## com.imcode.imcms.servlet.admin
Class UserBrowser.UserBrowserPage

    java.lang.Object
      com.imcode.imcms.servlet.admin.UserBrowser.UserBrowserPage

Enclosing class:
  UserBrowser

    public static class UserBrowser.UserBrowserPage

extends java.lang.Object

Constructor Summary
`UserBrowser.UserBrowserPage()`

Method Summary
`void` `forward(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`java.lang.String` `getSearchString()`
`RoleDomainObject[]` `getSelectedRoles()`
`UserDomainObject[]` `getUsers()`
`boolean` `isIncludeInactiveUsers()`
`void` `setIncludeInactiveUsers(boolean includeInactiveUsers)`
`void` `setSearchString(java.lang.String searchString)`
`void` `setSelectedRoles(RoleDomainObject[] selectedRoles)`
`void` `setUsers(UserDomainObject[] users)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserBrowser.UserBrowserPage

    public UserBrowser.UserBrowserPage()

Method Detail

### getSearchString

    public java.lang.String getSearchString()

### getUsers

    public UserDomainObject[] getUsers()

### setSearchString

    public void setSearchString(java.lang.String searchString)

### setSelectedRoles

    public void setSelectedRoles(RoleDomainObject[] selectedRoles)

### getSelectedRoles

    public RoleDomainObject[] getSelectedRoles()

### setUsers

    public void setUsers(UserDomainObject[] users)

### setIncludeInactiveUsers

    public void setIncludeInactiveUsers(boolean includeInactiveUsers)

### isIncludeInactiveUsers

    public boolean isIncludeInactiveUsers()

### forward

    public void forward(javax.servlet.http.HttpServletRequest request,
                        javax.servlet.http.HttpServletResponse response)
                 throws java.io.IOException,
                        javax.servlet.ServletException

  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`